#!/bin/bash

# Set locale for sort order
export LC_ALL=C.UTF-8

if [ ! -f phonebook.txt ]
then
	echo "phonebook.txt not found"
	exit 1
fi

if [ -f numbers.tsv ]
then
	mv numbers.tsv numbers.tsv.bak
fi
cat phonebook.txt | awk -F\\\t '{print $2 "\t" $1}' | grep "^0" | sort > numbers.tsv
if [ -f numbers.db ]
then
	mv numbers.db numbers.db.bak
fi
cat numbers.tsv | aginum2db > numbers.db

